<?php

namespace EventPortal\Domain\Agenda\Events;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Agenda\Models\Agenda;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\SerializesModels;

class AgendaDeleted implements ShouldQueue
{
    use SerializesModels;

    public Agenda $agenda;

    public Event $event;

    public function __construct(Agenda $agenda)
    {
        $this->agenda = $agenda;
        $this->event = $agenda->event;
    }
}
